public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Louis Sautier" <sbraz@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/geventhttpclient/
Date: Mon, 11 Oct 2021 22:11:42 +0000 (UTC)	[thread overview]
Message-ID: <1633990208.4c3612bd41994a42200d25146a0ded8977cb64b2.sbraz@gentoo> (raw)

commit:     4c3612bd41994a42200d25146a0ded8977cb64b2
Author:     Louis Sautier <sbraz <AT> gentoo <DOT> org>
AuthorDate: Mon Oct 11 22:09:45 2021 +0000
Commit:     Louis Sautier <sbraz <AT> gentoo <DOT> org>
CommitDate: Mon Oct 11 22:10:08 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4c3612bd

dev-python/geventhttpclient: add 1.5.3

Signed-off-by: Louis Sautier <sbraz <AT> gentoo.org>

 dev-python/geventhttpclient/Manifest               |  1 +
 .../geventhttpclient/geventhttpclient-1.5.3.ebuild | 49 ++++++++++++++++++++++
 2 files changed, 50 insertions(+)

diff --git a/dev-python/geventhttpclient/Manifest b/dev-python/geventhttpclient/Manifest
index 88cf4c5523a..c62ee31cd7f 100644
--- a/dev-python/geventhttpclient/Manifest
+++ b/dev-python/geventhttpclient/Manifest
@@ -1,3 +1,4 @@
 DIST geventhttpclient-1.4.5.tar.gz 58183 BLAKE2B 48d44048e7040552824ed19ac49c6dda41536ffded56bae0d942c06f111a327a1d571872f35f388853b479ea1aaa6de518f86e7ee72e362360492530ade65131 SHA512 9ffe00c79b145dab104e1dce336e072060f315d9bee880daf64b5f1f52e661d810dab9a60286320a7d30cf0e794465f201c039cc31fe7ec325cdb3a8350c9f7d
 DIST geventhttpclient-1.5.1.tar.gz 58398 BLAKE2B 9995e14c635b06f729d342b19187d4c4b935f903038950fc05e8d9260a341d3a551750c1cd46798ac2d97603d1dba449d4db3a51a44e49a1720ec23b1526edf8 SHA512 46fa5333149b86f5c4b5d06adfe5d49402d0220266c27507da1645f1da8a50562e142e37435a029bb4184c417e8a4123301a7dfc8769ce419e841afebc11247c
 DIST geventhttpclient-1.5.2.tar.gz 58467 BLAKE2B ea9476038685458cade41150c33226b4355018b8a8c22623e96186ff922d7f6b9518ca4108afff3bcfd18167bf288ef7f6366528050e300d720ef0e7b15ef649 SHA512 1edf153f88b9a7a954f9acc316ac76f06f2599bd3cf11b4a8f1df7b500e884f304601aae6a1dca8cedf24d4f78793176814eadc8b2c60fa90769df649723146e
+DIST geventhttpclient-1.5.3.tar.gz 58447 BLAKE2B a1cf529c6d40ee81ebe17cb066f2d837cf3d5ce2511bb735c1a63503b612c98c17c91f08de99d604c9ff6ebfa7e6502c338e7fbbc86de954ae7e559966aa8006 SHA512 9a0ed907f73f7f5ff8675502ef6fc82bff7b543d0a2d22e1eca5aba3592675a87fe09c48981f496b7f63a660e7eab5f68801ae74da8c33ac9d9bf55a0425eed1

diff --git a/dev-python/geventhttpclient/geventhttpclient-1.5.3.ebuild b/dev-python/geventhttpclient/geventhttpclient-1.5.3.ebuild
new file mode 100644
index 00000000000..39d7cf97389
--- /dev/null
+++ b/dev-python/geventhttpclient/geventhttpclient-1.5.3.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} )
+
+inherit distutils-r1
+
+DESCRIPTION="A high performance, concurrent HTTP client library for Python using gevent"
+HOMEPAGE="https://github.com/gwik/geventhttpclient"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+
+RDEPEND="
+	app-arch/brotli[python,${PYTHON_USEDEP}]
+	dev-python/certifi[${PYTHON_USEDEP}]
+	dev-python/gevent[events(+),${PYTHON_USEDEP}]
+	dev-python/six[${PYTHON_USEDEP}]
+"
+BDEPEND="
+	test? (
+		dev-python/mock[${PYTHON_USEDEP}]
+	)
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+	# Avoid ModuleNotFoundError for tests we skip later
+	sed -i '/^import dpkt.ssl/d' src/geventhttpclient/tests/test_ssl.py || die
+	distutils-r1_python_prepare_all
+}
+
+python_test() {
+	local EPYTEST_DESELECT=(
+		# These SNI tests require dpkt which is not in the tree
+		src/geventhttpclient/tests/test_ssl.py::test_implicit_sni_from_host_in_ssl
+		src/geventhttpclient/tests/test_ssl.py::test_implicit_sni_from_header_in_ssl
+		src/geventhttpclient/tests/test_ssl.py::test_explicit_sni_in_ssl
+	)
+	# Append to sys.path to avoid ImportError
+	# https://bugs.gentoo.org/667758
+	# Skip tests which require internet access
+	epytest --import-mode=append -m "not online"
+}


             reply	other threads:[~2021-10-11 22:11 UTC|newest]

Thread overview: 74+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-10-11 22:11 Louis Sautier [this message]
  -- strict thread matches above, loose matches on Subject: below --
2022-10-18  7:26 [gentoo-commits] repo/gentoo:master commit in: dev-python/geventhttpclient/ Michał Górny
2022-10-18  7:26 Michał Górny
2022-10-15  8:04 Michał Górny
2022-10-03  9:49 Michał Górny
2022-10-03  8:28 Agostino Sarubbo
2022-10-03  0:44 Sam James
2022-10-02 19:20 Arthur Zamarin
2022-08-31 19:08 Arthur Zamarin
2022-08-30 19:01 Michał Górny
2022-08-30 17:45 Sam James
2022-08-30 17:45 Sam James
2022-08-30 17:19 Arthur Zamarin
2022-08-30 16:39 Arthur Zamarin
2022-07-29 10:26 Arthur Zamarin
2022-07-25 16:14 Michał Górny
2022-07-25 15:01 Agostino Sarubbo
2022-07-25  7:07 Agostino Sarubbo
2022-07-25  4:19 Sam James
2022-07-24 19:13 Sam James
2022-06-28  4:03 Michał Górny
2022-06-21  6:00 Michał Górny
2022-03-30 14:24 Jakov Smolić
2021-11-19  7:14 Arthur Zamarin
2021-11-19  7:14 Arthur Zamarin
2021-11-19  6:46 Arthur Zamarin
2021-11-19  6:35 Arthur Zamarin
2021-11-05 17:38 Sam James
2021-11-05 17:33 Sam James
2021-11-05  2:12 Sam James
2021-10-11 22:11 Louis Sautier
2021-10-02 21:59 Louis Sautier
2021-09-22  7:18 Arthur Zamarin
2021-08-21 20:03 Louis Sautier
2021-08-21 20:03 Louis Sautier
2021-08-21 18:08 Louis Sautier
2021-07-15 22:49 Louis Sautier
2021-01-07 12:39 Michał Górny
2021-01-07 12:14 Sam James
2021-01-07  1:08 Sam James
2021-01-05 21:03 Sam James
2020-12-05 18:10 Louis Sautier
2020-09-19 21:33 Michał Górny
2020-09-18 14:48 Michał Górny
2020-08-25 12:53 Agostino Sarubbo
2020-08-19  9:01 Sam James
2020-08-18  8:50 Michał Górny
2020-07-20  8:55 Michał Górny
2020-07-20  0:39 Sam James
2020-07-17  3:41 Sam James
2020-07-17  1:21 Sam James
2020-07-09 10:05 Louis Sautier
2020-07-09  8:16 Agostino Sarubbo
2020-07-03 20:39 Louis Sautier
2020-05-31  6:57 Matt Turner
2020-05-24 16:28 Louis Sautier
2020-05-22 20:45 Louis Sautier
2020-03-25 12:08 Michał Górny
2020-03-25 12:08 Michał Górny
2020-01-29 19:53 Patrick McLean
2019-12-11 15:44 Louis Sautier
2019-12-02  2:48 Aaron Bauman
2018-10-24  9:20 Louis Sautier
2018-08-30 21:34 Matt Thode
2018-07-28 22:27 Louis Sautier
2018-06-25 22:04 Louis Sautier
2018-03-03 21:07 Sergei Trofimovich
2017-12-19  7:51 Fabian Groffen
2017-07-31  3:41 Matt Thode
2017-07-31  3:41 Matt Thode
2017-05-10 16:41 Matt Thode
2017-05-10 16:41 Matt Thode
2016-08-16  8:59 Patrice Clement
2016-08-15 19:45 Patrice Clement

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1633990208.4c3612bd41994a42200d25146a0ded8977cb64b2.sbraz@gentoo \
    --to=sbraz@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox